# RimworldSpartanFoundry


![Image](https://i.imgur.com/WAEzk68.png)

Update of Oskar Potockis mod
https://steamcommunity.com/sharedfiles/filedetails/?id=1695609511
with permission

- Shield-code replaced with references to https://steamcommunity.com/workshop/filedetails/?id=2023507013]Vanilla Expanded Framework. Might be some slight differences.

![Image](https://i.imgur.com/7Gzt3Rg.png)


[table]
    [tr]
        [td]https://invite.gg/Mlie]![Image](https://i.imgur.com/zdzzBrc.png)
[/td]
        [td]https://github.com/emipa606/RimworldSpartanFoundry]![Image](https://i.imgur.com/kTkpTOE.png)
[/td]
    [/tr]
[/table]
	
![Image](https://i.imgur.com/NOW7jU1.png)

https://steamcommunity.com/sharedfiles/filedetails/?id=2288125657]![Image](https://i.imgur.com/kNldlMg.png)


 ![Image](https://i.imgur.com/CQQXAVf.png)


![Image](https://i.imgur.com/aMP2s4I.png)


1.4.0 (27/11/2020): Added support for achievements. Fixed certain armors and helmets being Medieval tech level lol.
1.3.0 (19/02/2020): This mod is now 1.1 compatible.
1.2.3 (02/09/2019): All the armours now cover hands and feet.
1.2.2 (10/05/2019): Minor bug fix. Thanks Trunken.
1.2.1 (13/04/2019): Fixed some typo mistakes. Shock trooper armor no longer lowers your psychic sensitivity.
1.2 (04/04/2019): Added Recon Power Armor, Recon Power Armor Helmet. Adjusted the layers of armors to allow wearing a belt - thus creating partial compatibility with Combat Extended. Adjusted work speed for creating armor and helmet - crafting shouldn&apos;t take years to finish now. 
1.1.1 (29/03/2019): Description tweaks.
1.1.0 (28/03/2019): Added Samurai Power Armor, Samurai Power Armor Helmet, Shock Trooper Armor, Shock Trooper Armor Helmet. Fixed the issue with all the armors being craftable.
1.0.0 (27/03/2019): Release

![Image](https://i.imgur.com/2QxvcQO.png)


With Halo anthology coming to the PC quite soon, I thought it’s the perfect moment to revision the vanilla game power armor. I have found it quite versatile, but not quenching my “late game thirst”. Additionally, I wanted a sense of “pride and accomplishment” from doing quests, something unique that cannot be obtained any other way. This is how Spartan Foundry came into being.

Rimworld: Spartan Foundry is a vanilla power armor expansion adding 9 new sets of advanced, end-game power armor. A set of Powered Assault Armor is craftable in very late game, requiring Ship Computer Core technology and an AI Persona Core. The other 8 sets of armour are NOT craftable and can only be obtained from quests and raids. The armor sets contain advanced glitterworld overshield technology, capable of absorbing several shots before requiring a long time to regenerate. Each armor set provides different bonuses and elements can be combined to suit every rimworld colonist.

Armors also come in several colors which are randomized upon the creation of the item. Most common colors are the standard power armor shades of grey, however colors like hyperweave, devilstrand and plasteel are also included alongside many others.

![Image](https://i.imgur.com/DTVMs6d.png)


Rimworld: Spartan Foundry comes with following armor sets.

![Image](https://i.imgur.com/5MEbLOh.png)


![Image](https://i.imgur.com/XMtuZhc.png)


![Image](https://i.imgur.com/0B46vVS.png)


![Image](https://i.imgur.com/RCpK0lc.png)


![Image](https://i.imgur.com/Yy7zruX.png)


![Image](https://i.imgur.com/i5OXYXl.png)


![Image](https://i.imgur.com/Qjw7PUk.png)


![Image](https://i.imgur.com/kxJcRoj.png)


![Image](https://i.imgur.com/6sWV2fb.png)


![Image](https://i.imgur.com/DQqvXIH.png)


![Image](https://i.imgur.com/n5GnuDN.png)


![Image](https://i.imgur.com/aMP2s4I.png)


![Image](https://i.imgur.com/swiQF55.png)


![Image](https://i.imgur.com/Wzy2o83.png)

There shouldn’t be any incompatibilities or issues, but in case anything pops up, report issues in the comments.

![Image](https://i.imgur.com/sa36FDK.png)


Q: Do the Rimworld: Spartan Foundry armors spawn randomly on pawns?
A: Yes, they should be added to the available item pool when spawning raids, but they are very rare.

Q: Can I suggest a feature?
A: Absolutely, leave a comment down below!

Q: Will you keep updating the mod with new armors?
A: Most possibly, but every armor will be unique, so if I figure out what kind of armor we’re lacking, I will do it.

Q: Is this mod compatibile with Combat Extended?
A: Should be.

Q: Why is your mod special?
A: I am a vanilla player. Anything that doesn&apos;t suit vanilla game makes me cringe and I stay away from it. I did however find the game lacking after some time, therefore I&apos;ve created these armors to be as accurate and as close to vanilla graphics style as possible. What is special? The best part is - nothing in this mod is special at all. Nothing will make you go &quot;Oh that&apos;s unusual&quot;, because the whole purpose of this mod is to blend into the existing game.

Q: Is this mod save game compatible?
A: Yes, you can add it and remove it whenever you like.

Q: I like your design style, would you like to team up?
A: Definitely. The best way to learn is to work with a lot of people. I could use someone to explain .xml a little bit more in-depth, and I can provide that person with accurate artwork for any project what-so-ever.

Q: I can’t obtain any armors!
A: They are rare for a reason. Something to look forward to and something to look after once you get it.

Q: Make armors craftable!
A: No. These armors are meant to be rewards, just like Orbital bombardment beacons and other non-craftable things.

Q: Make armors colorable!
A: That requires extensive coding knowledge and I don&apos;t see the need to do that, if there is a mod that allows you to color it in any way you want. Check out Dubs Paint tool!

![Image](https://i.imgur.com/W46r3qY.png)



Halo Spartan armors and UNSC logo are property of Bungie and 343 Industries. 

Graphics are created by me, inspired by the armor from Halo franchise.

Rimworld is owned by Tynan Sylvester.

![Image](https://i.imgur.com/Rs6T6cr.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.


